## org.apache.batik.bridge
Interface FilterBridge

All Superinterfaces:
  Bridge

All Known Implementing Classes:
  SVGFilterElementBridge

public interface FilterBridge
extends Bridge

Bridge class for vending `Filter` objects.

Method Summary
`Filter` `createFilter(BridgeContext ctx, org.w3c.dom.Element filterElement, org.w3c.dom.Element filteredElement, GraphicsNode filteredNode)` Creates a `Filter` according to the specified parameters.

Methods inherited from interface org.apache.batik.bridge.Bridge
`getInstance, getLocalName, getNamespaceURI`

Method Detail

### createFilter

    public Filter createFilter(BridgeContext ctx,
                               org.w3c.dom.Element filterElement,
                               org.w3c.dom.Element filteredElement,
                               GraphicsNode filteredNode)

  Creates a `Filter` according to the specified parameters.

  Parameters:
    `ctx` - the bridge context to use
    `filterElement` - the element that defines the filter
    `filteredElement` - the element that references the filter element
    `filteredNode` - the graphics node to filter

Copyright © 2004 Apache Software Foundation. All Rights Reserved.